YiYiYa 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
YiYiYa 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
YiYiYa 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !
授权协议 LGPL
开发语言 C/C++ 查看源码 »
操作系统 未知
软件类型 开源软件
所属分类 操作系统
开源组织
地区 国产
投 递 者 evilbinary
适用人群 未知
收录时间 2021-04-29

软件简介

YiYiYa 是一个操作系统

https://github.com/evilbinary/YiYiYa

使用

编译

提前安装 scons、qemu

scons

运行镜像

scons --run=qemu

截图

https://github.com/evilbinary/YiYiYa

参考资料

https://wiki.osdev.org

https://zh.wikipedia.org/wiki/%E8%BD%AF%E7%9B%98

64-ia-32-architectures-software-developer-vol-3a-part-1-manual.pdf

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论

点击加入讨论🔥(1) 发布并加入讨论🔥
暂无内容
发表了博客
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
发表了问答
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
libpng 缓冲区错误漏洞
跨界内存写
libpng是一个可对PNG图形文件实现创建、读写等操作的PNG参考库。 libpng 1.6.35版本中的pnm2png.c文件的‘get_token()’函数存在缓冲区错误漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
CVE-2018-14550 MPS-2019-7748
2022-08-08 19:11
Lua 缓冲区错误漏洞
未经控制的递归
Lua是Lua(LUA)团队的一款轻量级、扩展的开源脚本语言。 Lua Interpreter 中存在缓冲区错误漏洞,该漏洞源于产品ldo.c文件中的lua_resume未能正确处理数据文件。攻击者可通过该漏洞导致拒绝服务。以下产品及版本受到影响:Lua Interpreter 5.1.0 版本至 5.4.4 版本。
CVE-2021-43519 MPS-2021-35333
2022-08-08 19:11
Lua 安全漏洞
跨界内存写
Lua v5.4.4 及更低版本的组件 luaG_runerror 中会在发生递归错误时导致堆缓冲区溢出。
CVE-2022-33099 MPS-2022-18230
2022-08-08 19:11
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
1 评论
5 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部